summaryrefslogtreecommitdiffstats
path: root/.local/bin/ifinstalled
diff options
context:
space:
mode:
Diffstat (limited to '.local/bin/ifinstalled')
-rwxr-xr-x.local/bin/ifinstalled7
1 files changed, 4 insertions, 3 deletions
diff --git a/.local/bin/ifinstalled b/.local/bin/ifinstalled
index be3ac24..c192eba 100755
--- a/.local/bin/ifinstalled
+++ b/.local/bin/ifinstalled
@@ -5,7 +5,8 @@
# it informs the user that they need that command to continue. This is used in
# various other scripts for clarity's sake.
-for x in "$@";do
- pacman -Qq "$x" >/dev/null 2>&1 ||
- { notify-send "📦 $x" "must be installed for this function." && exit 1 ;}
+for x in "$@"; do
+ if ! which "$x" >/dev/null 2>&1 && ! pacman -Qq "$x" >/dev/null 2>&1; then
+ notify-send "📦 $x" "must be installed for this function." && exit 1 ;
+ fi
done